Apache JMeter

## org.apache.jmeter.monitor.model
Class ObjectFactory

    java.lang.Object
      org.apache.jmeter.monitor.model.ObjectFactory

    public class ObjectFactory

extends Object

ObjectFactory is a simple factory class which creates new instances of objects. It also provides convienant method to parse XML status results.

Nested Class Summary
`protected static class` `ObjectFactory.MonitorParser`

Constructor Summary
`protected` `ObjectFactory()`

Method Summary
`Connector` `createConnector()`
`Jvm` `createJvm()`
`Memory` `createMemory()`
`RequestInfo` `createRequestInfo()`
`Status` `createStatus()`
`ThreadInfo` `createThreadInfo()`
`Worker` `createWorker()`
`Workers` `createWorkers()`
`static ObjectFactory` `getInstance()`
`Status` `parseBytes(byte[] bytes)`
`Status` `parseSampleResult(SampleResult result)`
`Status` `parseString(String content)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    protected ObjectFactory()

Method Detail

### getInstance

    public static ObjectFactory getInstance()

### parseBytes

    public Status parseBytes(byte[] bytes)

### parseString

    public Status parseString(String content)

### parseSampleResult

    public Status parseSampleResult(SampleResult result)

### createStatus

    public Status createStatus()

### createConnector

    public Connector createConnector()

### createJvm

    public Jvm createJvm()

### createMemory

    public Memory createMemory()

### createRequestInfo

    public RequestInfo createRequestInfo()

### createThreadInfo

    public ThreadInfo createThreadInfo()

### createWorker

    public Worker createWorker()

### createWorkers

    public Workers createWorkers()

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.